import locale, platform, sys
from math import *

Locale = locale.getdefaultlocale()
VersionPython = "Python " + (platform.python_version())
Version = "0.0.1"
print (VersionPython + '\n' + 'Coordinated convertor ' + Version + '\n')

#English default strings
Credit = "Coordinated convertor " + Version + " : \nOriginal by Quarior\nTranslations :\nEnglish : Quarior\nFrench : Quarior"
StrIC = "Make your choice :\n1 : XYZ -> RA (h), Dec (°), Dist (pc)\n2 : RA (h), Dec (°), Dist (pc) -> XYZ\nC : Credit\nQ : Quit"
CI = "Invalid choice"
StrIX = "X (hexadecimal) (m) :"
StrIY = "Y (hexadecimal) (m) :"
StrIZ = "Z (hexadecimal) (m) :"
StrIRA = "RA (h) :"
StrIDec = "Dec (°) :"
StrIDist = "Dist (pc) :"
#Translation
if Locale[0] == "fr_FR":
    #French strings
    Credit = "Coordinated convertor " + Version + " : \nOriginal par Quarior\nTraductions :\nAnglais : Quarior\nFrançais : Quarior"
    StrIC = "Faite votre choix :\n1 : XYZ -> RA (h), Dec (°), Dist (pc)\n2 : RA (h), Dec (°), Dist (pc) -> XYZ\nC : Crédit\nQ : Quitter"
    CI = "Choix invalide"
    StrIX = "X (hexadécimal) (m) :"
    StrIY = "Y (hexadécimal) (m) :"
    StrIZ = "Z (hexadécimal) (m) :"
    StrIRA = "RA (h) :"
    StrIDec = "Dec (°) :"
    StrIDist = "Dist (pc) :"

#Program
URA = 360/24 #°/h
UAU = 149597870700 #m
Upc = (648000/pi)*UAU #m
ProximaXYZ = ["-00000000000000005CF7B50000000000", "-00000000000000012819D40000000000", "-00000000000000007978258000000000"] #[-1.18 ly, -3.77 ly, -1.55 ly]
ProximaX = int(ProximaXYZ[0], 16)
ProximaY = int(ProximaXYZ[1], 16)
ProximaZ = int(ProximaXYZ[2], 16)
ProximaRADecDist = [14.4965965, -62.6813501, 1.29478324]
ProximaRA = ProximaRADecDist[0]
ProximaDec = ProximaRADecDist[1]
ProximaDist = ProximaRADecDist[2]
while 1 == 1:
    print("--------------------------------")
    C = input(StrIC + "\n")
    if C == "C" or C == "c":
        print(Credit)
    elif C == "Q" or C == "q":
        exit()
    elif C == "1":
        X = input(StrIX + " ")
        X = int(X, 16)
        print("X =" + str(X) + " m")
        Y = input(StrIY + " ")
        Y = int(Y, 16)
        print("Y = " + str(Y) + " m")
        Z = input(StrIZ + " ")
        Z = int(Z, 16)
        print("Z = " + str(Z) + " m")
        Dist = sqrt(X**2 + Y**2 + Z**2)
        print("Dist = " + str(Dist) + " m")
        Dist = Dist/Upc
        print("Dist = " + str(Dist) + " pc")
    elif C == "2":
        RA = input(StrIRA + " ")
        RA = float(RA)
        print("RA = " + str(RA) + " h")
        RA = RA*URA
        print("RA = " + str(RA) + " °")
        Dec = input(StrIDec + " ")
        Dec = float(Dec)
        print("Dec = " + str(Dec) + " °")
        Dist = input(StrIDist + " ")
        Dist = float(Dist)
        print("Dist = " + str(Dist) + " pc")
        Dist = Dist*Upc
        print("Dist = " + str(Dist) + " m")
    else:
        print(CI)
